package gui.windows;


import java.awt.Color;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Rectangle;
import java.awt.Shape;
import java.awt.image.ImageObserver;
import java.io.IOException;
import java.text.AttributedCharacterIterator;

import javax.imageio.ImageIO;
import javax.swing.JWindow;

public class StartUpScreen extends JWindow {

	/**
	 * SerialID
	 */
	private static final long serialVersionUID = -464690585875344574L;
	private Image splashImage;

	/**
	 * @return the splashImage
	 */
	public Image getSplashImage() {
		return splashImage;
	}

	/**
	 * konstruktor der das startupfenster erstellt
	 */
	public StartUpScreen() {
		setSize(400, 400);
		setLocationRelativeTo(null);
		setVisible(true);

		try {
			Thread.sleep(2000);
		} catch (InterruptedException e) {
			dispose();
		}
		dispose();

	}

	/**
	 * paint methode zum zeichnen des startupscreens
	 */
	public void paint(Graphics g) {

		try {
			splashImage = ImageIO.read(getClass().getResource(
					"../../elevator1.gif"));
			g.drawImage(splashImage, 0, 0, this);
		} catch (IOException e) {

		}

	}
}
