package properties;





/**
 * Diese Klasse stellt wichtige Konstanten bereit, die die Programmeinstellungen
 * darstellen.
 */
public class ProgramSettings {
	
	
	/**
	 * Geschwindigkeit der Fahrsthle.
	 */
	public static final Speed ELEVATORS_SPEED = Speed.MEDIUM;

	
	#if($synchronized == true)
	/**
	 * Anzahl Rufknpfe pro Stockwerk. 
	 */
	public static final int FLOORS_BUTTONS = 1;
	#end	
	
	/**
	 * Ob Fahrsthle beschleunigt sein sollen
	 */
	public static final boolean ACCELERATED = $controlling_accelerated;
	
	/**
	 * Ob man Fahrtwunsch von aussen abbrechen kann
	 */
	public static final boolean OUTERVIEW_CANCEL = $outerview_cancellation;
	
	public static final boolean INNERVIEW_DOORBUTTON = $innerview_doorbutton;
	
	public static final boolean INNERVIEW_AUTH = $innerview_authorization;
	
	public static final boolean DISPLAY_DIRECTION = $display_direction;
	public static final boolean DISPLAY_FLOOR_NUMBER = $display_currfloor_number;
	public static final boolean DISPLAY_FLOOR_CHAIN = $display_currfloor_chain;
	public static final boolean DISPLAY_TARGET = $display_target;
	public static final boolean DISPLAY_DOORSIDE = $display_openingside;
	public static final boolean AUTOSCROLL = $outerview_autoscroll;
	public static final boolean OUTERVIEW_EMERGENCY = $outerview_emergencybuttons;
	public static final boolean INNERVIEW_EMERGENCY = $innerview_emergencybutton;
	
	/**
	 * Hhe aller Stockwerke.
	 */
	public static final int FLOORS_HEIGHT = 50;

	
	public static int getTotalHeight(int iFloor) {
		int result = 0;
		
		
		result = iFloor * FLOORS_HEIGHT;
		
		
		return result;
	}

}
